- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TRatingList

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TDataBoundControl
                   |
                   --TListControl
                      |
                      --TCheckBoxList
                         |
                         --TRadioButtonList
                            |
                            --TRatingList

#### Direct Known Sub-classes:

TActiveRatingList

TRatingList class.

This class is EXPERIMENTAL.

Since: 3.0
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>
Author: Bradley Booms <bradley[dot]booms[at]gmail[dot]com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Constructor Summary
public | __construct Sets the default repeat direction to horizontal.

Method Summary
boolean | getAllowInput () Wrapper for setReadOnly property.
protected string | getAssetUrl ( string $file)
string | getCaption ()
protected void | getCaptionControl ()
protected string | getCaptionControlID ()
string | getCaptionID ()
protected string | getClientClassName () Gets the name of the javascript class responsible for performing postback for this control.
array | getHalfRatingInterval ()
protected array | getPostBackOptions ()
float | getRating ()
protected int | getRatingIndex ( float $rating)
TRatingListStyle | getRatingStyle ()
protected string | getRatingStyleCssClass ()
boolean | getReadOnly ()
void | onPreRender ( mixed $param) Publish the the rating style css file and rating image files.
void | onSelectedIndexChanged ( int $param)
protected array | publishImages ( string $style, string $fileExt)
protected string | publishStyle ( string $style)
void | render ( THtmlWriter $writer) Add rating style class name to the class attribute when setReadOnly property is true and when the setCssClass property is empty.
void | setAllowInput ( boolean $value) Wrapper for setReadOnly property.
TRatingListStyle | setCaption ( mixed $value)
void | setCaptionID ( string $value)
void | setEnabled ( boolean $value) Wrapper for setReadOnly property.
void | setHalfRatingInterval ( array $value) Sets the interval such that those rating values within the interval will be considered as a half star rating.
void | setRating ( float $value)
void | setRatingStyle ( string $value)
void | setReadOnly ( boolean $value)
void | setRepeatLayout ( string $value) The repeat layout must be Table.
void | setSelectedIndex ( mixed $value)

Methods Inherited From TRadioButtonList
TRadioButtonList::createRepeatedControl(), TRadioButtonList::getClientClassName(), TRadioButtonList::getIsMultiSelect(), TRadioButtonList::loadPostData(), TRadioButtonList::setSelectedIndices()

Methods Inherited From TCheckBoxList

TCheckBoxList::createRepeatedControl(), TCheckBoxList::createStyle(), TCheckBoxList::findControl(), TCheckBoxList::generateItemStyle(), TCheckBoxList::getCellPadding(), TCheckBoxList::getCellSpacing(), TCheckBoxList::getClientClassName(), TCheckBoxList::getDataChanged(), TCheckBoxList::getHasFooter(), TCheckBoxList::getHasHeader(), TCheckBoxList::getHasSeparators(), TCheckBoxList::getIsMultiSelect(), TCheckBoxList::getIsValid(), TCheckBoxList::getPostBackOptions(), TCheckBoxList::getRepeatColumns(), TCheckBoxList::getRepeatDirection(), TCheckBoxList::getRepeatInfo(), TCheckBoxList::getRepeatLayout(), TCheckBoxList::getSpanNeeded(), TCheckBoxList::getTextAlign(), TCheckBoxList::getValidationPropertyValue(), TCheckBoxList::loadPostData(), TCheckBoxList::onPreRender(), TCheckBoxList::raisePostDataChangedEvent(), TCheckBoxList::render(), TCheckBoxList::renderItem(), TCheckBoxList::setCellPadding(), TCheckBoxList::setCellSpacing(), TCheckBoxList::setIsValid(), TCheckBoxList::setRepeatColumns(), TCheckBoxList::setRepeatDirection(), TCheckBoxList::setRepeatLayout(), TCheckBoxList::setTextAlign()

Methods Inherited From TListControl

TListControl::addAttributesToRender(), TListControl::addParsedObject(), TListControl::clearSelection(), TListControl::createListItemCollection(), TListControl::formatDataValue(), TListControl::getAppendDataBoundItems(), TListControl::getAutoPostBack(), TListControl::getCausesValidation(), TListControl::getClientClassName(), TListControl::getData(), TListControl::getDataGroupField(), TListControl::getDataTextField(), TListControl::getDataTextFormatString(), TListControl::getDataValueField(), TListControl::getEnableClientScript(), TListControl::getHasItems(), TListControl::getIsMultiSelect(), TListControl::getItemCount(), TListControl::getItems(), TListControl::getPostBackOptions(), TListControl::getPromptText(), TListControl::getPromptValue(), TListControl::getSelectedIndex(), TListControl::getSelectedIndices(), TListControl::getSelectedItem(), TListControl::getSelectedValue(), TListControl::getSelectedValues(), TListControl::getTagName(), TListControl::getText(), TListControl::getValidationGroup(), TListControl::loadState(), TListControl::onSelectedIndexChanged(), TListControl::onTextChanged(), TListControl::performDataBinding(), TListControl::renderClientControlScript(), TListControl::renderContents(), TListControl::renderPrompt(), TListControl::saveState(), TListControl::setAppendDataBoundItems(), TListControl::setAutoPostBack(), TListControl::setCausesValidation(), TListControl::setData(), TListControl::setDataGroupField(), TListControl::setDataTextField(), TListControl::setDataTextFormatString(), TListControl::setDataValueField(), TListControl::setEnableClientScript(), TListControl::setPromptText(), TListControl::setPromptValue(), TListControl::setSelectedIndex(), TListControl::setSelectedIndices(), TListControl::setSelectedValue(), TListControl::setSelectedValues(), TListControl::setText(), TListControl::setValidationGroup()

Methods Inherited From TDataBoundControl

TDataBoundControl::createPagedDataSource(), TDataBoundControl::dataBind(), TDataBoundControl::dataSourceViewChanged(), TDataBoundControl::determineDataSource(), TDataBoundControl::ensureDataBound(), TDataBoundControl::getAllowCustomPaging(), TDataBoundControl::getAllowPaging(), TDataBoundControl::getCurrentPageIndex(), TDataBoundControl::getDataMember(), TDataBoundControl::getDataSource(), TDataBoundControl::getDataSourceID(), TDataBoundControl::getDataSourceView(), TDataBoundControl::getInitialized(), TDataBoundControl::getIsDataBound(), TDataBoundControl::getPageCount(), TDataBoundControl::getPageSize(), TDataBoundControl::getRequiresDataBinding(), TDataBoundControl::getSelectParameters(), TDataBoundControl::getUsingDataSourceID(), TDataBoundControl::getVirtualItemCount(), TDataBoundControl::onDataBound(), TDataBoundControl::onDataSourceChanged(), TDataBoundControl::onInit(), TDataBoundControl::onPreRender(), TDataBoundControl::pagePreLoad(), TDataBoundControl::setAllowCustomPaging(), TDataBoundControl::setAllowPaging(), TDataBoundControl::setCurrentPageIndex(), TDataBoundControl::setDataMember(), TDataBoundControl::setDataSource(), TDataBoundControl::setDataSourceID(), TDataBoundControl::setInitialized(), TDataBoundControl::setIsDataBound(), TDataBoundControl::setPageSize(), TDataBoundControl::setRequiresDataBinding(), TDataBoundControl::setVirtualItemCount(), TDataBoundControl::validateDataSource()

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | SCRIPT_PATH | Script path relative to the TClientScriptManager::SCRIPT_PATH

Constructor Details

## __construct

public __construct |

Sets the default repeat direction to horizontal.

Method Details

## getAllowInput

public boolean getAllowInput | ()

Wrapper for setReadOnly property.

Output
boolean | whether the rating list can be edited. Defaults to true.
Exception

## getAssetUrl

protected string getAssetUrl | (string $file )

Input
string | $file | asset file in the self::SCRIPT_PATH directory.
Output
string | asset file url.
Exception

## getCaption

public string getCaption | ()

Output
string | caption text. Default is "Rate It:".
Exception

## getCaptionControl

protected void getCaptionControl | ()

Output
Exception

## getCaptionControlID

protected string getCaptionControlID | ()

Output
string | find the client ID of the caption control.
Exception

## getCaptionID

public string getCaptionID | ()

Output
string | control or html element ID for displaying a caption.
Exception

## getClientClassName

protected string getClientClassName | ()

Gets the name of the javascript class responsible for performing postback for this control.

This method overrides the parent implementation.

Output
string | the javascript class name
Exception

## getHalfRatingInterval

public array getHalfRatingInterval | ()

Output
array | rating display half value interval, default is array(0.3, 0.7);
Exception

## getPostBackOptions

protected array getPostBackOptions | ()

Output
array | list of post back options.
Exception

## getRating

public float getRating | ()

Output
float | rating value.
Exception

## getRatingIndex

protected int getRatingIndex | (float $rating )

Input
float | $rating | rating value
Output
int | rating as integer
Exception

## getRatingStyle

public TRatingListStyle getRatingStyle | ()

Output
TRatingListStyle | current rating style
Exception

## getRatingStyleCssClass

protected string getRatingStyleCssClass | ()

Output
string | rating style css class name.
Exception

## getReadOnly

public boolean getReadOnly | ()

Output
boolean | whether the items in the column can be edited. Defaults to false.
Exception

## onPreRender

public void onPreRender | (mixed $param )

Publish the the rating style css file and rating image files.

Input
mixed | $param |
Output
Exception

## onSelectedIndexChanged

public void onSelectedIndexChanged | (int $param )

Input
int | $param | change the rating selection index
Output
Exception

## publishImages

protected array publishImages | (string $style , string $fileExt )

Input
string | $style | rating style name
string | $fileExt | rating image file extension, default is '.gif'
Output
array | URL of publish the rating images
Exception

## publishStyle

protected string publishStyle | (string $style )

Input
string | $style | rating style name
Output
string | URL of the css style file
Exception

## render

public void render | (THtmlWriter $writer )

Add rating style class name to the class attribute when setReadOnly property is true and when the setCssClass property is empty.

Input
THtmlWriter | $writer | renderer
Output
Exception

## setAllowInput

public void setAllowInput | (boolean $value )

Wrapper for setReadOnly property.

Input
boolean | $value | whether the rating list can be edited
Output
Exception

## setCaption

public TRatingListStyle setCaption | (mixed $value )

Input
mixed | $value |
Output
TRatingListStyle | current rating style
Exception

## setCaptionID

public void setCaptionID | (string $value )

Input
string | $value | control or html element ID for displaying a caption.
Output
Exception

## setEnabled

public void setEnabled | (boolean $value )

Wrapper for setReadOnly property.

Input
boolean | $value | whether the rating list can be edited
Output
Exception

## setHalfRatingInterval

public void setHalfRatingInterval | (array $value )

Sets the interval such that those rating values within the interval will be considered as a half star rating.

Input
array | $value | rating display half value interval, default is array(0.3, 0.7);
Output
Exception

## setRating

public void setRating | (float $value )

Input
float | $value | rating value, also sets the selected Index
Output
Exception

## setRatingStyle

public void setRatingStyle | (string $value )

Input
string | $value | set the rating style, default is "default"
Output
Exception

## setReadOnly

public void setReadOnly | (boolean $value )

Input
boolean | $value | whether the items in the column can be edited
Output
Exception

## setRepeatLayout

public void setRepeatLayout | (string $value )

The repeat layout must be Table.

Input
string | $value | repeat layout type
Output
Exception
throws | TInvaliddataValueException when repeat layout is not Table.

## setSelectedIndex

public void setSelectedIndex | (mixed $value )

Input
mixed | $value |
Output
Exception

Constant Details

### SCRIPT_PATH

Script path relative to the TClientScriptManager::SCRIPT_PATH

#### Type:

string

#### Value:

'prado/ratings'